# Uses of Class
org.eclipse.birt.report.model.api.olap.HierarchyHandle

Packages that use HierarchyHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.olap

## Uses of HierarchyHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return HierarchyHandle
Modifier and Type
Method
Description
`HierarchyHandle`
DimensionConditionHandle.`getHierarchy()`
Gets the referred hierarchy handle of this condition.
Methods in org.eclipse.birt.report.model.api with parameters of type HierarchyHandle
Modifier and Type
Method
Description
`static boolean`
ModuleUtil.`isEqualHierarchiesForJointCondition(HierarchyHandle conditionHierarchy, HierarchyHandle cubeHierarchy)`
This API is only for helping GUI to draw the dimension joint condition editor pad.
`void`
DimensionConditionHandle.`setHierarchy(HierarchyHandle hierarchyHandle)`
Sets the referred hierarchy by the handle.

## Uses of HierarchyHandle in org.eclipse.birt.report.model.api.olap

Subclasses of HierarchyHandle in org.eclipse.birt.report.model.api.olap
Modifier and Type
Class
Description
`class`
`OdaHierarchyHandle`
Represents a Hierarchy.
`class`
`TabularHierarchyHandle`
Represents a Hierarchy.
Methods in org.eclipse.birt.report.model.api.olap that return HierarchyHandle
Modifier and Type
Method
Description
`HierarchyHandle`
DimensionHandle.`getDefaultHierarchy()`
Gets the default hierarchy for the dimension.
Methods in org.eclipse.birt.report.model.api.olap with parameters of type HierarchyHandle
Modifier and Type
Method
Description
`DimensionConditionHandle`
TabularCubeHandle.`findDimensionCondition(HierarchyHandle hierarchy)`
Finds the dimension condition defined for the given hierarchy element.
`void`
DimensionHandle.`setDefaultHierarchy(HierarchyHandle defaultHierarchy)`
Sets the default hierarchy for this dimension.